{% extends 'neo/index.html' %}

{% block headcontent %}
  <title>Detail | neosurvival</title>
{% endblock headcontent %}

{% block body %}
  <h1>{{ question.question_text }}</h1>

  {% if error_message %}<div class="alert alert-danger">{{ error_message }}</div>{% endif %}

  <form action="{% url 'neo:vote' question.id %}" method="post">
    {% csrf_token %}
    {% for choice in question.choice_set.all %}
      <div class="form-group">
        <input type="radio" name="choice" id="choice{{ forloop.counter }}" value="{{choice.id}}">
        <label for="choice{{ forloop.counter }}">{{ choice.choice_text}}</label>
      </div>
    {% endfor %}
    <input class="btn btn-success" type="submit" value="Vote">
    <a href="{% url 'neo:index' %}" class="btn btn-primary">Home</a>
  </form>
{% endblock body %}
